The Puppet Labs Issue Tracker has Moved: https://tickets.puppetlabs.com

Bug #11065

Missing information in pre-upgrade docs causes update failure in pre-1.2 PE

Added by Eric Shamow over 2 years ago. Updated almost 2 years ago.

Status:ClosedStart date:11/28/2011
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:references
Target version:-
Keywords: Affected URL:
Branch:

We've Moved!

Ticket tracking is now hosted in JIRA: https://tickets.puppetlabs.com

This issue is currently not available for export. If you are experiencing the issue described below, please file a new ticket in JIRA. Once a new ticket has been created, please add a link to it that points back to this Redmine ticket.


Description

This is a documentation problem related to #11064. If the behavior isn’t fixed, the docs should be. Background is at that ticket, but the key piece is that the user must be able to look up “puppetca” in order to upgrade from a pre-1.2 PE to 2.0. This should be specified in the pre-upgrade instructions. That address can be available via DNS or /etc/hosts, as long as it’s available.

History

#1 Updated by James Turnbull almost 2 years ago

  • Status changed from Unreviewed to Closed

This was fixed in the installer instead.

Also available in: Atom PDF